Package org.drinkless.tdlib

# Class TdApi.GroupCallParticipant

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.GroupCallParticipant

Enclosing class:
  `TdApi`

public static class TdApi.GroupCallParticipant extends TdApi.Object
Represents a group call participant.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `audioSourceId`
  User's audio channel synchronization source identifier.
  `String`
  `bio`
  The participant user's bio or the participant chat's description.
  `boolean`
  `canBeMutedForAllUsers`
  True, if the current user can mute the participant for all other group call participants.
  `boolean`
  `canBeMutedForCurrentUser`
  True, if the current user can mute the participant only for self.
  `boolean`
  `canBeUnmutedForAllUsers`
  True, if the current user can allow the participant to unmute themselves or unmute the participant (if the participant is the current user).
  `boolean`
  `canBeUnmutedForCurrentUser`
  True, if the current user can unmute the participant for self.
  `boolean`
  `canUnmuteSelf`
  True, if the participant is muted for all users, but can unmute themselves.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isCurrentUser`
  True, if the participant is the current user.
  `boolean`
  `isHandRaised`
  True, if the participant hand is raised.
  `boolean`
  `isMutedForAllUsers`
  True, if the participant is muted for all users.
  `boolean`
  `isMutedForCurrentUser`
  True, if the participant is muted for the current user.
  `boolean`
  `isSpeaking`
  True, if the participant is speaking as set by setGroupCallParticipantIsSpeaking.
  `String`
  `order`
  User's order in the group call participant list.
  `TdApi.MessageSender`
  `participantId`
  Identifier of the group call participant.
  `int`
  `screenSharingAudioSourceId`
  User's screen sharing audio channel synchronization source identifier.
  `TdApi.GroupCallParticipantVideoInfo`
  `screenSharingVideoInfo`
  Information about user's screen sharing video channel; may be null if there is no active screen sharing video.
  `TdApi.GroupCallParticipantVideoInfo`
  `videoInfo`
  Information about user's video channel; may be null if there is no active video.
  `int`
  `volumeLevel`
  Participant's volume level; 1-20000 in hundreds of percents.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroupCallParticipant()`
  Represents a group call participant.
  `GroupCallParticipant(TdApi.MessageSender participantId, int audioSourceId, int screenSharingAudioSourceId, TdApi.GroupCallParticipantVideoInfo videoInfo, TdApi.GroupCallParticipantVideoInfo screenSharingVideoInfo, String bio, boolean isCurrentUser, boolean isSpeaking, boolean isHandRaised, boolean canBeMutedForAllUsers, boolean canBeUnmutedForAllUsers, boolean canBeMutedForCurrentUser, boolean canBeUnmutedForCurrentUser, boolean isMutedForAllUsers, boolean isMutedForCurrentUser, boolean canUnmuteSelf, int volumeLevel, String order)`
  Represents a group call participant.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### participantId

    public TdApi.MessageSender participantId
    Identifier of the group call participant.

  - ### audioSourceId

    public int audioSourceId
    User's audio channel synchronization source identifier.

  - ### screenSharingAudioSourceId

    public int screenSharingAudioSourceId
    User's screen sharing audio channel synchronization source identifier.

  - ### videoInfo

    @Nullable public TdApi.GroupCallParticipantVideoInfo videoInfo
    Information about user's video channel; may be null if there is no active video.

  - ### screenSharingVideoInfo

    @Nullable public TdApi.GroupCallParticipantVideoInfo screenSharingVideoInfo
    Information about user's screen sharing video channel; may be null if there is no active screen sharing video.

  - ### bio

    public String bio
    The participant user's bio or the participant chat's description.

  - ### isCurrentUser

    public boolean isCurrentUser
    True, if the participant is the current user.

  - ### isSpeaking

    public boolean isSpeaking
    True, if the participant is speaking as set by setGroupCallParticipantIsSpeaking.

  - ### isHandRaised

    public boolean isHandRaised
    True, if the participant hand is raised.

  - ### canBeMutedForAllUsers

    public boolean canBeMutedForAllUsers
    True, if the current user can mute the participant for all other group call participants.

  - ### canBeUnmutedForAllUsers

    public boolean canBeUnmutedForAllUsers
    True, if the current user can allow the participant to unmute themselves or unmute the participant (if the participant is the current user).

  - ### canBeMutedForCurrentUser

    public boolean canBeMutedForCurrentUser
    True, if the current user can mute the participant only for self.

  - ### canBeUnmutedForCurrentUser

    public boolean canBeUnmutedForCurrentUser
    True, if the current user can unmute the participant for self.

  - ### isMutedForAllUsers

    public boolean isMutedForAllUsers
    True, if the participant is muted for all users.

  - ### isMutedForCurrentUser

    public boolean isMutedForCurrentUser
    True, if the participant is muted for the current user.

  - ### canUnmuteSelf

    public boolean canUnmuteSelf
    True, if the participant is muted for all users, but can unmute themselves.

  - ### volumeLevel

    public int volumeLevel
    Participant's volume level; 1-20000 in hundreds of percents.

  - ### order

    public String order
    User's order in the group call participant list. Orders must be compared lexicographically. The bigger is order, the higher is user in the list. If order is empty, the user must be removed from the participant list.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GroupCallParticipant

    public GroupCallParticipant()
    Represents a group call participant.

  - ### GroupCallParticipant

    public GroupCallParticipant(TdApi.MessageSender participantId, int audioSourceId, int screenSharingAudioSourceId, TdApi.GroupCallParticipantVideoInfo videoInfo, TdApi.GroupCallParticipantVideoInfo screenSharingVideoInfo, String bio, boolean isCurrentUser, boolean isSpeaking, boolean isHandRaised, boolean canBeMutedForAllUsers, boolean canBeUnmutedForAllUsers, boolean canBeMutedForCurrentUser, boolean canBeUnmutedForCurrentUser, boolean isMutedForAllUsers, boolean isMutedForCurrentUser, boolean canUnmuteSelf, int volumeLevel, String order)
    Represents a group call participant.
    Parameters:
      `participantId` - Identifier of the group call participant.
      `audioSourceId` - User's audio channel synchronization source identifier.
      `screenSharingAudioSourceId` - User's screen sharing audio channel synchronization source identifier.
      `videoInfo` - Information about user's video channel; may be null if there is no active video.
      `screenSharingVideoInfo` - Information about user's screen sharing video channel; may be null if there is no active screen sharing video.
      `bio` - The participant user's bio or the participant chat's description.
      `isCurrentUser` - True, if the participant is the current user.
      `isSpeaking` - True, if the participant is speaking as set by setGroupCallParticipantIsSpeaking.
      `isHandRaised` - True, if the participant hand is raised.
      `canBeMutedForAllUsers` - True, if the current user can mute the participant for all other group call participants.
      `canBeUnmutedForAllUsers` - True, if the current user can allow the participant to unmute themselves or unmute the participant (if the participant is the current user).
      `canBeMutedForCurrentUser` - True, if the current user can mute the participant only for self.
      `canBeUnmutedForCurrentUser` - True, if the current user can unmute the participant for self.
      `isMutedForAllUsers` - True, if the participant is muted for all users.
      `isMutedForCurrentUser` - True, if the participant is muted for the current user.
      `canUnmuteSelf` - True, if the participant is muted for all users, but can unmute themselves.
      `volumeLevel` - Participant's volume level; 1-20000 in hundreds of percents.
      `order` - User's order in the group call participant list. Orders must be compared lexicographically. The bigger is order, the higher is user in the list. If order is empty, the user must be removed from the participant list.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR